Create a number application
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/numbers/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"friendlyName": "<string>",
"description": "<string>",
"routing": {
"voiceUrl": "<string>",
"smsUrl": "<string>",
"statusCallbackUrl": "<string>"
}
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/numbers/applications"
payload = {
"friendlyName": "<string>",
"description": "<string>",
"routing": {
"voiceUrl": "<string>",
"smsUrl": "<string>",
"statusCallbackUrl": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
friendlyName: '<string>',
description: '<string>',
routing: {voiceUrl: '<string>', smsUrl: '<string>', statusCallbackUrl: '<string>'}
})
};
fetch('https://api.orbit.devotel.io/api/v1/numbers/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"friendlyName": "<string>",
"routing": {
"voiceUrl": "<string>",
"smsUrl": "<string>",
"statusCallbackUrl": "<string>"
},
"boundNumbers": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Numbers
Create a number application
Create a number application with an operator-facing label and optional inbound-routing handler URLs. Handler URLs are HTTPS-only and used for inbound routing only. Owner/admin/developer only.
POST
/
api
/
v1
/
numbers
/
applications
Create a number application
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
Required string length:
1 - 120Maximum string length:
2000Inbound-handler routing config for an application. All URLs are HTTPS-only. These handlers receive incoming voice and SMS events only — they never originate outbound calls or messages.
Show child attributes
Show child attributes
Response
The created number application.
A number application (Twilio "Application" parity) — a reusable inbound-routing + ownership binding target for DIDs. Re-binding a number moves its inbound-routing config and sub-account ownership between applications with no re-provisioning.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I